Package org.apache.lucene.analysis.ko.tokenattributes

# Interface PartOfSpeechAttribute

All Superinterfaces:
  `Attribute`

All Known Implementing Classes:
  `PartOfSpeechAttributeImpl`

public interface PartOfSpeechAttribute extends Attribute
Part of Speech attributes for Korean.

WARNING: This API is experimental and might change in incompatible ways in the next release.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `POS.Tag`
  `getLeftPOS()`
  Get the left part of speech of the token.
  `KoMorphData.Morpheme[]`
  `getMorphemes()`
  Get the `KoMorphData.Morpheme` decomposition of the token.
  `POS.Type`
  `getPOSType()`
  Get the `POS.Type` of the token.
  `POS.Tag`
  `getRightPOS()`
  Get the right part of speech of the token.
  `void`
  `setToken(Token token)`
  Set the current token.

- ## Method Details

  - ### getPOSType

    POS.Type getPOSType()
    Get the `POS.Type` of the token.

  - ### getLeftPOS

    POS.Tag getLeftPOS()
    Get the left part of speech of the token.

  - ### getRightPOS

    POS.Tag getRightPOS()
    Get the right part of speech of the token.

  - ### getMorphemes

    KoMorphData.Morpheme[] getMorphemes()
    Get the `KoMorphData.Morpheme` decomposition of the token.

  - ### setToken

    void setToken(Token token)
    Set the current token.